| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Digikam::AnimatedVisibility Class Reference
Inheritance diagram for Digikam::AnimatedVisibility:

## Public Member Functions
| AnimatedVisibility (QObject *const parent=nullptr)
| A convenience class: The property object brings its own controller.
ItemVisibilityController * | controller () const
Public Member Functions inherited from Digikam::ItemVisibilityControllerPropertyObject
| ItemVisibilityControllerPropertyObject (QObject *const parent=nullptr)
| You can use this object as a container providing the properties set by ItemVisibilityController.
bool | isVisible () const
qreal | opacity () const
void | setOpacity (qreal opacity)
void | setVisible (bool visible)

## Protected Attributes
ItemVisibilityController * | m_controller = nullptr
Protected Attributes inherited from Digikam::ItemVisibilityControllerPropertyObject
qreal | m_opacity = 0.0
bool | m_visible = false

## Additional Inherited Members
Signals inherited from Digikam::ItemVisibilityControllerPropertyObject
void | opacityChanged ()
void | visibleChanged ()
Properties inherited from Digikam::ItemVisibilityControllerPropertyObject
qreal | opacity
bool | visible

## Constructor & Destructor Documentation

## ◆ AnimatedVisibility()

Digikam::AnimatedVisibility::AnimatedVisibility | ( | QObject *const | parent = `nullptr` | ) |
| explicit

Ready to use: Just construct an object and connect to the signals. Please note the difference between controller()->setVisible() and setVisible(): You want to call the controller's method!